Problem: 

How to obtain the EMBASSY Trust Suite (ETS) software and instructions for the installation process are unknown.

Applies To: 

EMBASSY Trust Suite version 2.2.3 installed on:

Latitude D420, D620, D820

Precision M65, M90, 490, 690 WS390

Optiplex 530, 730

(XP and Vista 32-bit OS only)

See Solution: Dell EMBASSY Trust Suite 2.2.3

 

EMBASSY Trust Suite 3.3.0.26 installed on:

Latitude D430, D530, D531, D630 (ATG, c, XFR), D631, D830, XT

Precision Mobile M65, M90, M2300, M4300, M6300
Precision WorkStation 390, T3400, R5400, T5400
OptiPlex 740, 745, 745c, 755

(XP and Vista 32-bit OS only)

See Solution: Dell EMBASSY Trust Suite 3.3.0.26

 

EMBASSY Trust Suite – Acer Edition Versions 7.3.4.7 (32 bit), 7.3.4.9 (64 bit) installed on Acer ProShield with TPM: BXD50/BAP50

See Solution: EMBASSY Trust Suite – Acer Edition

 

EMBASSY Trust Suite – Asus Edition PBA 7.5.2.63 (32 bit) PBA 2.5.2.23 (64 bit) installed on Asus models B53F, B53J, B43F, B43J

See Solution: EMBASSY Trust Suite – Asus Edition

 

EMBASSY Trust Suite – Enterprise (Purchased Full) Edition- Version 7.5.2.60 installed on most enterprise PC’s equipped with a Trusted Platform Module (TPM).

See Solution: EMBASSY Trust Suite – Enterprise Edition

Solution: 

Dell EMBASSY Trust Suite 2.2.3

This process requires a sequential upgrade.  The installation of ETS 2.1 must precede the installation for the upgrade package we are providing through the FTP site. 

If ETS 2.1 is already installed, back up your TPM data from the Archive and Restore Tab within EMBASSY Security Center and begin the upgrade process below at Step 3 to install version 2.2.3.

  1. Download the software.

The latest version of software for your system is EMBASSY Trust Suite, available at http://support.dell.com.
Select Drivers and Downloads, search by the model of your computer and the appropriate operating system. 

Download the following:

  • Broadcom Driver for Trusted Platform Module (TPM) 1.2
  • UPEK driver for Touch strip Reader
  • Wave Systems Corp – Application EMBASSY Trust Suite
  1. Installation.

Prior to installing the downloaded packages, please be sure that you have disabled any firewalls and antivirus protection.  Successful installation requires the packages be installed in the order listed below, with a reboot after the completion of each package. 

  • Broadcom Driver for Trusted Platform Module (TPM) 1.2
  • Reboot.
  • UPEK driver for Touch strip Reader
  • Reboot
  • Wave Systems Corp – Application EMBASSY Trust Suite
  • Reboot
  1. Request and install Upgrade.

Fill out a Customer Service Support Request Form to receive  the upgrade package. You will receive credentials to sign on to an FTP site for the two downloads needed to upgrade your package from version 2.1 to version 2.2.3. 

Download and extract the following:

Application:  20080609_DellPBA22_02.02.03.000.zip

Patch:  20080609_ETS_Hotfix_P0014_1.zip

Execute the Upgrade:

  • Within the application folder double click install.exe
  • Reboot.
  • Double click on the patch to install
  • Reboot.
  1. Configuration.

The EMBASSY Trust Suite software first run wizard will assist in configuring the security options on your system.

 

Dell EMBASSY Trust Suite 3.3.0.26

This package is the latest available security software for this platform, and is not supported for installation on ETS 2.2.3 machines. 

  1. Download the  software.

The latest version of software for your system is EMBASSY Trust Suite, available at http://support.dell.com. Selecting Drivers and Downloads, search by the model of your computer and the appropriate operating system. 

Download the following:

  • Driver for Trusted Platform Module (TPM) 1.2
  • Wave Systems Corp – Application EMBASSY Trust Suite
  1. Installation.

Prior to installing the downloaded packages, please be sure that you have disabled any firewalls and antivirus protection.  It is recommended that Windows Update be disabled, and a system reboot executed if any Windows Updates were applied prior to running the installer. Successful installation requires the packages be installed in the order listed below, with a reboot after the completion of each package. 

  • Driver for Trusted Platform Module (TPM) 1.2
  • Reboot.
  • Wave Systems Corp – Application EMBASSY Trust Suite
  • Reboo
  1. Configuration.

The EMBASSY Trust Suite software first run wizard will assist in configuring the security options on your system.

 

EMBASSY Trust Suite – Acer Edition

Acer representatives are familiar with their hardware and the Acer EMBASSY Trust Suite (ETS) version software and provide the initial support for these machines and for the ETS provided on this platform.  
Please contact Acer at: Support.acer.com.

 

EMBASSY Trust Suite – Asus Edition

Asus representatives are familiar with their hardware and the Asus EMBASSY Trust Suite (ETS) version software and provide the initial support for machines with ETS provided on this platform.  Please contact Asus at: http://support.asus.com/techserv/techserv.aspx?SLanguage=en-us

 

EMBASSY Trust Suite – Enterprise Edition

The original equipment manufacturer can provide drivers for the sensor, the Trusted Platform Module (TPM) on their motherboard and the service used to transfer information between the TPM and software. 


Once these prerequisites are in place, the application can be installed from a single download package provided after purchase.  A license application key will be included for use to authorize the installation followed by an automatic first run wizard to assist in configuring the package. If a supported self-encrypting drive is detected, the Trusted Drive Manager component will be installed as part of the application.

NOTE: For pre-existing OEM versions of EMBASSY Trust Suite (pre-loaded custom versions of EMBASSY Trust Suite provided by the manufacturer), we recommend removing the application provided by the manufacturer prior to installing the Enterprise (full) version.

 

If the information provided above did not resolve your issue or you have any additional questions, please complete our Support Request Form